OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::PoseExtractorCaffe Class Reference

`#include <poseExtractorCaffe.hpp>`

Inherits op::PoseExtractorNet.

## Public Member Functions
| PoseExtractorCaffe (const PoseModel poseModel, const std::string &modelFolder, const int gpuId, const std::vector< HeatMapType > &heatMapTypes={}, const ScaleMode heatMapScale=ScaleMode::ZeroToOne, const bool addPartCandidates=false, const bool maximizePositives=false, const bool enableGoogleLogging=true)
virtual | ~PoseExtractorCaffe ()
void | netInitializationOnThread ()
void | forwardPass (const std::vector< Array< float >> &inputNetData, const Point< int > &inputDataSize, const std::vector< double > &scaleInputToNetInputs={1.f})
const float * | getCandidatesCpuConstPtr () const
const float * | getCandidatesGpuConstPtr () const
const float * | getHeatMapCpuConstPtr () const
const float * | getHeatMapGpuConstPtr () const
std::vector< int > | getHeatMapSize () const
const float * | getPoseGpuConstPtr () const
Public Member Functions inherited from op::PoseExtractorNet
| PoseExtractorNet (const PoseModel poseModel, const std::vector< HeatMapType > &heatMapTypes={}, const ScaleMode heatMapScale=ScaleMode::ZeroToOne, const bool addPartCandidates=false, const bool maximizePositives=false)
virtual | ~PoseExtractorNet ()
void | initializationOnThread ()
Array< float > | getHeatMapsCopy () const
std::vector< std::vector < std::array< float, 3 > > > | getCandidatesCopy () const
Array< float > | getPoseKeypoints () const
Array< float > | getPoseScores () const
float | getScaleNetToOutput () const
double | get (const PoseProperty property) const
void | set (const PoseProperty property, const double value)
void | increase (const PoseProperty property, const double value)
void | clear ()

## Additional Inherited Members
Protected Member Functions inherited from op::PoseExtractorNet
void | checkThread () const
Protected Attributes inherited from op::PoseExtractorNet
const PoseModel | mPoseModel
Point< int > | mNetOutputSize
Array< float > | mPoseKeypoints
Array< float > | mPoseScores
float | mScaleNetToOutput

## Constructor & Destructor Documentation

op::PoseExtractorCaffe::PoseExtractorCaffe | ( | const PoseModel | poseModel,
|  | const std::string & | modelFolder,
|  | const int | gpuId,
|  | const std::vector< HeatMapType > & | heatMapTypes = `{}`,
|  | const ScaleMode | heatMapScale = `ScaleMode::ZeroToOne`,
|  | const bool | addPartCandidates = `false`,
|  | const bool | maximizePositives = `false`,
|  | const bool | enableGoogleLogging = `true`
| ) |  |

virtual op::PoseExtractorCaffe::~PoseExtractorCaffe | ( |  | ) |
| virtual

## Member Function Documentation

void op::PoseExtractorCaffe::forwardPass | ( | const std::vector< Array< float >> & | inputNetData,
|  | const Point< int > & | inputDataSize,
|  | const std::vector< double > & | scaleInputToNetInputs = `{1.f}`
| ) |  |
| virtual

Implements op::PoseExtractorNet.

const float* op::PoseExtractorCaffe::getCandidatesCpuConstPtr | ( |  | ) | const
| virtual

Implements op::PoseExtractorNet.

const float* op::PoseExtractorCaffe::getCandidatesGpuConstPtr | ( |  | ) | const
| virtual

Implements op::PoseExtractorNet.

const float* op::PoseExtractorCaffe::getHeatMapCpuConstPtr | ( |  | ) | const
| virtual

Implements op::PoseExtractorNet.

const float* op::PoseExtractorCaffe::getHeatMapGpuConstPtr | ( |  | ) | const
| virtual

Implements op::PoseExtractorNet.

std::vector<int> op::PoseExtractorCaffe::getHeatMapSize | ( |  | ) | const
| virtual

Implements op::PoseExtractorNet.

const float* op::PoseExtractorCaffe::getPoseGpuConstPtr | ( |  | ) | const
| virtual

Implements op::PoseExtractorNet.

void op::PoseExtractorCaffe::netInitializationOnThread | ( |  | ) |
| virtual

Implements op::PoseExtractorNet.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/pose/poseExtractorCaffe.hpp